
function Button1980() {
    // get the clock
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');


    // get the current value of the clock's display property
    var display1980 = map1980.style.display;

    // also get the clock button, so we can change what it says
    var Button1980 = document.getElementById('1980Button');

    // now toggle the clock and the button text, depending on current state
    // if (display1980 == 'block') {
    //     // clock is visible. hide it
    //     map1980.style.display = 'none';
    //     map2014.style.display = 'block';
    //     // change button text
    //     Button1980.innerHTML = 'Show clock';
    // }
    if (display1980 == 'block') {
        // clock is visible. hide it
        map1980.style.display = 'block';
        // map2014.style.display = 'block';
        // change button text
        // Button1980.innerHTML = 'Show clock';
    }
    else {
        // clock is hidden. show it
        map1980.style.display = 'block';
        map1985.style.display = 'none';
        map1990.style.display = 'none';
        map1995.style.display = 'none';
        map2000.style.display = 'none';
        map2005.style.display = 'none';
        map2010.style.display = 'none';
        map2014.style.display = 'none';
        mapChange.style.display = 'none';
        // change button text
        // Button1980.innerHTML = 'Hide clock';
    }
}

function Button2014() {
    // get the clock
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');
    // var map1980 = document.getElementById('life1980');
    // var map2014 = document.getElementById('life2014');

    // get the current value of the clock's display property
    var display2014 = map2014.style.display;

    // also get the clock button, so we can change what it says
    var Button2014 = document.getElementById('2014Button');

    // now toggle the clock and the button text, depending on current state

    if (display2014 == 'block') {
        map2014.style.display = 'block';
    }
    else {
        // clock is visible. hide it
        map2014.style.display = 'block';
        map1985.style.display = 'none';
        map1990.style.display = 'none';
        map1995.style.display = 'none';
        map2000.style.display = 'none';
        map2005.style.display = 'none';
        map2010.style.display = 'none';
        map1980.style.display = 'none';
        mapChange.style.display = 'none';
        // change button text
        // Button1980.innerHTML = 'Show clock';
    }
    // else {
    //     // clock is hidden. show it
    //     mapChange.style.display = 'block';
    //     map2014.style.display = 'none';
    //     // change button text
    //     Button1980.innerHTML = 'Hide clock';
    // }
}

function Button1985() {
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');

    // get the current value of the clock's display property
    var display1985 = map1985.style.display;

    // also get the clock button, so we can change what it says
    var Button1985 = document.getElementById('1985button');

    // now toggle the clock and the button text, depending on current state
    if (display1985 == 'block') {
        map1985.style.display = 'block';
    }
    else {
        // clock is visible. hide it
        map1985.style.display = 'block';
        map1980.style.display = 'none';
        map1990.style.display = 'none';
        map1995.style.display = 'none';
        map2000.style.display = 'none';
        map2005.style.display = 'none';
        map2010.style.display = 'none';
        map2014.style.display = 'none';
        mapChange.style.display = 'none';
    }
}

function Button1990() {
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');
    // get the current value of the clock's display property
    var display1990 = map1990.style.display;

    // also get the clock button, so we can change what it says
    var Button1990 = document.getElementById('1990button');

    // now toggle the clock and the button text, depending on current state
    if (display1990 == 'block') {
        map1990.style.display = 'block';
    }
    else {
        map1990.style.display = 'block';
        map1985.style.display = 'none';
        map1980.style.display = 'none';
        map1995.style.display = 'none';
        map2000.style.display = 'none';
        map2005.style.display = 'none';
        map2010.style.display = 'none';
        map2014.style.display = 'none';
        mapChange.style.display = 'none';
    }
}

function Button1995() {
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');
    // get the current value of the clock's display property
    var display1995 = map1995.style.display;

    // also get the clock button, so we can change what it says
    var Button1995 = document.getElementById('1995button');

    // now toggle the clock and the button text, depending on current state
    if (display1995 == 'block') {
        map1995.style.display = 'block';
    }
    else {
        map1995.style.display = 'block';
        map1985.style.display = 'none';
        map1990.style.display = 'none';
        map1980.style.display = 'none';
        map2000.style.display = 'none';
        map2005.style.display = 'none';
        map2010.style.display = 'none';
        map2014.style.display = 'none';
        mapChange.style.display = 'none';
    }
}

function Button2000() {
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');
    // get the current value of the clock's display property
    var display2000 = map2000.style.display;

    // also get the clock button, so we can change what it says
    var Button2000 = document.getElementById('2000button');

    // now toggle the clock and the button text, depending on current state
    if (display2000 == 'block') {
        map2000.style.display = 'block';
    }
    else {
        map2000.style.display = 'block';
        map1985.style.display = 'none';
        map1980.style.display = 'none';
        map1990.style.display = 'none';
        map1995.style.display = 'none';
        map2005.style.display = 'none';
        map2010.style.display = 'none';
        map2014.style.display = 'none';
        mapChange.style.display = 'none';
    }
}

function Button2005() {
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');
    // get the current value of the clock's display property
    var display2005 = map2005.style.display;

    // also get the clock button, so we can change what it says
    var Button2005 = document.getElementById('2005button');

    // now toggle the clock and the button text, depending on current state
    if (display2005 == 'block') {
        map2005.style.display = 'block';
    }
    else {
        map2005.style.display = 'block';
        map1985.style.display = 'none';
        map1980.style.display = 'none';
        map1990.style.display = 'none';
        map1995.style.display = 'none';
        map2000.style.display = 'none';
        map2010.style.display = 'none';
        map2014.style.display = 'none';
        mapChange.style.display = 'none';
    }
}

function Button2010() {
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');
    // get the current value of the clock's display property
    var display2010 = map2010.style.display;

    // also get the clock button, so we can change what it says
    var Button2010 = document.getElementById('2010button');

    // now toggle the clock and the button text, depending on current state
    if (display2010 == 'block') {
        map2010.style.display = 'block';
    }
    else {
        map2010.style.display = 'block';
        map1985.style.display = 'none';
        map1980.style.display = 'none';
        map1990.style.display = 'none';
        map1995.style.display = 'none';
        map2000.style.display = 'none';
        map2005.style.display = 'none';
        map2014.style.display = 'none';
        mapChange.style.display = 'none';
    }
}

function ButtonChange() {
    var map1980 = document.getElementById('life1980');
    var map1985 = document.getElementById('life1985');
    var map1990 = document.getElementById('life1990');
    var map1995 = document.getElementById('life1995');
    var map2000 = document.getElementById('life2000');
    var map2005 = document.getElementById('life2005');
    var map2010 = document.getElementById('life2010');
    var map2014 = document.getElementById('life2014');
    var mapChange = document.getElementById('changeMap');
    // get the current value of the clock's display property
    var displayChange = mapChange.style.display;

    // also get the clock button, so we can change what it says
    // var Button2010 = document.getElementById('2010button');

    // now toggle the clock and the button text, depending on current state
    if (displayChange == 'block') {
        mapChange.style.display = 'block';
    }
    else {
        mapChange.style.display = 'block';
        map1985.style.display = 'none';
        map1980.style.display = 'none';
        map1990.style.display = 'none';
        map1995.style.display = 'none';
        map2000.style.display = 'none';
        map2005.style.display = 'none';
        map2014.style.display = 'none';
        map2010.style.display = 'none';
    }
}